<?php

/* Reminder: always indent with 4 spaces (no tabs). */
// +---------------------------------------------------------------------------+
// | Geeklog 1.3                                                               |
// +---------------------------------------------------------------------------+
// | newsitems.php                                                             |
// | This is the newsitems page, modified from the links page                  |
// |                                                                           |
// +---------------------------------------------------------------------------+
// | Copyright (C) 2000,2001,2002,2005 by the following authors:               |
// |                                                                           |
// | Authors: Tony Bibbs       - tony@tonybibbs.com                            |
// |          Mark Limburg     - mlimburg@users.sourceforge.net                |
// |          Jason Wittenburg - jwhitten@securitygeeks.com                    |
// |          Tom Willett      - tomw@pigstye.net                              |
// |          Steve McInerney  - spm@ibiblio.org                               |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+
//
// $Id: newsitems.php,v 1.4 2005/02/07 09:03:58 steve Exp $

require_once('lib-common.php');

// MAIN

$display .= COM_siteHeader();
if (empty ($_USER['username']) &&
    (($_CONF['loginrequired'] == 1) || ($_CONF['linksloginrequired'] == 1))) {
    $display .= COM_startBlock ($LANG_LOGIN[1], '',
                                COM_getBlockTemplate ('_msg_block', 'header'));
    $login = new Template($_CONF['path_layout'] . 'submit');
    $login->set_file (array ('login'=>'submitloginrequired.thtml'));
    $login->set_var ('login_message', $LANG_LOGIN[2]);
    $login->set_var ('site_url', $_CONF['site_url']);
    $login->set_var ('lang_login', $LANG_LOGIN[3]);
    $login->set_var ('lang_newuser', $LANG_LOGIN[4]);
    $login->parse ('output', 'login');
    $display .= $login->finish ($login->get_var('output'));
    $display .= COM_endBlock (COM_getBlockTemplate ('_msg_block', 'footer'));

} else {

    //  We start the block in newsitems_block_header.thtml - watch for changes!

    $newsitems = new Template($_CONF['path_layout'] . 'newsitems');
    $newsitems->set_file(array(
	'pagenav'=>'pagenavigation.thtml',
	'newsitem_f'=>'linkdetails_date.thtml',
	'newsblockheader_f'=>'newsitems_block_header.thtml',
	'newsallheader_f'=>'newsitems_all_header.thtml',
	'newsall_f'=>'newsitems_all.thtml'
	));

    if (SEC_inGroup($_CONF['newsitems_submit_group'])) {
	$newsitems->set_var('newsitems_submit_link', '<p>[ <a href="' . $_CONF['site_url'] . '/submit.php?type=link">' . $LANG06[3] . '</a> ]</p>');
    }

    $newsitems->parse('newsitems_block_header', 'newsblockheader_f');
    $newsitems->set_var('newsitem_older_text', $_CONF['block_links_older_text']);
    $newsitems->parse('newsitems_all_header','newsallheader_f');

    $sql = "SELECT lid,category,url,description,title,hits,date FROM {$_TABLES['links']} WHERE category = '{$_CONF['block_links_category']}'" . COM_getPermSQL(' AND ') . "ORDER BY date DESC";
    $result = DB_query($sql);
    $nrows = DB_numRows($result);

    if ($_CONF['linksperpage'] == 0) {
	$start = 1;
	$end = $nrows + 1;
    } else {
	if ($page > 0) {
	    $start = (($page - 1) * $_CONF['linksperpage']) + 1;
	} else {
	    $page = 1;
	    $start = 1;
	}
	$end = $start + $_CONF['linksperpage'];
	if ($nrows < $end) {
	    $end = $nrows + 1;
	}
    }

    $currentcategory = $_CONF['block_links_category'];
    for ($i = 1; $i < $end; $i++) {
	$A = DB_fetchArray($result);
	if ($i >= $start) {
	    $newsitems->set_var('link_url', $_CONF['site_url'] . '/portal.php?what=link&amp;item=' . $A['lid']);
	    $newsitems->set_var('link_name', stripslashes($A['title']));
	    //$newsitems->set_var('link_hits', $A['hits']);
	    $curtime = COM_getUserDateTimeFormat($A['date']);
	    $newsitems->set_var('link_datestamp', $curtime[0]);
	    $newsitems->set_var('link_description', stripslashes ($A['description']));
	    $parsedurl = parse_url($A['url']);
	    $newsitems->set_var('link_title', $parsedurl['host']);
	    $newsitems->parse('linkdetails', 'newsitem_f', true);
	}
    }

    if ($_CONF['linksperpage'] > 0) {
        $pages = (int) ($nrows / $_CONF['linksperpage']);
        if (($nrows % $_CONF['linksperpage']) > 0 ) {
            $pages++;
        }
    }
    if ($pages > 0) {
        $newsitems->set_var ('page_navigation',
            COM_printPageNavigation ($_CONF['site_url'] . '/newsitems.php', $page, $pages));
    } else {
        $newsitems->set_var ('page_navigation', '');
    }

    $newsitems->parse('output', 'newsall_f');
    $display .= $newsitems->finish($newsitems->get_var('output'));
    $display .= COM_endBlock ();
}
$display .= COM_siteFooter();

echo $display;

?>
