<?php

/* Reminder: always indent with 4 spaces (no tabs). */
// +---------------------------------------------------------------------------+
// | Geeklog 1.3                                                               |
// +---------------------------------------------------------------------------+
// | lib-custom.php                                                            |
// | Your very own custom Geeklog library.                                     |
// |                                                                           |
// | This is the file where you should put all of your custom code.  When      |
// | possible you should not alter lib-common.php but, instead, put code here. |
// | This will make upgrading to future versions of Geeklog easier for you     |
// | because you will always be gauranteed that the Geeklog developers will    |
// | NOT add code to this file. NOTE: we have already gone through the trouble |
// | of making sure that we always include this file when lib-common.php is    |
// | included some place so you will have access to lib-common.php.  It        |
// | follows then that you should not include lib-common.php in this file      |
// |                                                                           |
// +---------------------------------------------------------------------------+
// | Copyright (C) 2000,2001 by the following authors:                         |
// |                                                                           |
// | Authors: Tony Bibbs       - tony@tonybibbs.com                            |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+
//
// $Id: lib-custom.php,v 1.4 2005/02/07 09:05:28 steve Exp $

// You can use this global variable to print useful messages to the errorlog
// using COM_errorLog().  To see an example of how to do this, look in
// lib-common.php and see how $_COM_VERBOSE was used throughout the code
$_CST_VERBOSE = false;

/*****
* spm:
* phpblock_getnewsitems
* 	Will display a block of News Worthy Items, those that are not full articles
* 
* 	Makes use of the existing "links" functionality.
*
* 	Links chosen must belong to a defined (config'ed) category 'block_links_category'
*	Only the most recent 'block_links_maxdisplayed' number of links will display
*	If 'block_links_icon' has any value, than the icon 'block_links_icon' points to will display
*	if block_links_maxdisplayed <= 0, display all links
*	
*****/
function phpblock_getnewsitems() {
    global $_CONF, $_TABLES;

    $newsitems = new Template($_CONF['path_layout'] . 'newsitems');
    $newsitems->set_file(array(
	'newsblock_f'=>'newsitems_block.thtml',
	'newsblockheader_f'=>'newsitems_block_header.thtml',
	'newsblocknav_f'=>'newsitems_block_nav.thtml',
	'newsitem_f'=>'linkdetails.thtml'));

    $sql = "SELECT lid,category,url,description,title,hits,date FROM {$_TABLES['links']} WHERE category = '{$_CONF['block_links_category']}'" . COM_getPermSQL(' AND ') . "ORDER BY date DESC";

    // if block_links_maxdisplayed <= 0, display all
    //   else, limit the sql query to the first block_links_maxdisplayed items
    if ($_CONF['block_links_maxdisplayed'] > 0) {
	$sql .= " LIMIT {$_CONF['block_links_maxdisplayed']}";
    }
    $result = DB_query ($sql);

    //$newsitems->set_var('news_header','');
    $newsitems->parse('newsitems_block_header', 'newsblockheader_f');

    $newsitems->set_var('linkdetails','');
    while ($A = DB_fetchArray($result)) {
	$newsitems->set_var('link_url', $_CONF['site_url'] . '/portal.php?what=link&amp;item=' . $A['lid']);
	$newsitems->set_var('link_name', stripslashes($A['title']));
	//$newsitems->set_var('link_hits', $A['hits']);
	$newsitems->set_var('link_description', stripslashes ($A['description']));
	$parsedurl = parse_url($A['url']);
	$newsitems->set_var('link_title', $parsedurl['host']);
	$newsitems->parse('linkdetails', 'newsitem_f', true);
    }
    
    if ($_CONF['block_links_maxdisplayed'] > 0) {
	$newsitems->set_var('siteurl',  $_CONF['site_url']);
	$newsitems->set_var('block_links_older_text',  $_CONF['block_links_older_text']);
	$newsitems->parse('newsitems_block_nav', 'newsblocknav_f');
    }
    $newsitems->parse('newsblock', 'newsblock_f');
    $retval .= $newsitems->finish($newsitems->get_var('newsblock'));

    //$retval .= COM_endBlock ();	// Weird. Doesn't seem to be needed. Why????

    return $retval;
}

?>
